# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.release_generate_checksums_beetmover
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - release-generate-checksums-signing

tasks:
    release-generate-checksums-beetmover:
        from-deps:
            group-by: single-with-filters
        shipping-phase: promote
        attributes:
            artifact_map: taskcluster/gecko_taskgraph/manifests/release_checksums.yml
